***

title: getNextMember
slug: /reference/typescript/rest/queues/get-next-member
description: Retrieve the next member in the queue.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve the next member in the queue (the member at the front).

<EndpointSchemaSnippet endpoint="GET /api/relay/rest/queues/{queue_id}/members/next" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/relay/rest/queues/{queue_id}/members/next" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const nextMember = await client.queues.getNextMember("queue-id");
console.log("Next caller:", nextMember["call_id"]);
```